<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.mortals</groupId>
        <artifactId>mortals-common</artifactId>
        <version>1.1.5-SNAPSHOT</version>
    </parent>
    <groupId>com.mortals.xhx</groupId>
    <artifactId>base-platform</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <modules>
        <module>common-lib</module>
        <module>base-manager</module>
    </modules>

    <properties>
        <common-lib.version>0.0.1-SNAPSHOT</common-lib.version>
    </properties>

    <profiles>
        <profile>
            <id>develop</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <profiles.active>develop</profiles.active>
                <profiles.server.port>17311</profiles.server.port>
                <profiles.datasource.uri>
                    <![CDATA[jdbc:mysql://localhost:3306/base?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
                <profiles.datasource.username>root</profiles.datasource.username>
                <profiles.datasource.password>12345678</profiles.datasource.password>
                <profiles.redis.uri>127.0.0.1</profiles.redis.uri>
                <profiles.redis.port>6379</profiles.redis.port>
                <profiles.redis.username></profiles.redis.username>
                <profiles.redis.password></profiles.redis.password>
                <profiles.redis.database>5</profiles.redis.database>
                <profiles.filepath>/mortals/data</profiles.filepath>
                <profiles.log.level>INFO</profiles.log.level>
                <profiles.log.path>/logs</profiles.log.path>
                <profiles.data.path>/data</profiles.data.path>
            </properties>
        </profile>
        <profile>
            <id>test</id>
            <properties>
                <profiles.active>test</profiles.active>
                <profiles.server.port>17211</profiles.server.port>
                <profiles.datasource.uri>
                    <![CDATA[jdbc:mysql://192.168.0.98:3306/base-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
                <profiles.datasource.username>root</profiles.datasource.username>
                <profiles.datasource.password>nacos@2020</profiles.datasource.password>
                <profiles.redis.uri>192.168.0.252</profiles.redis.uri>
                <profiles.redis.port>6379</profiles.redis.port>
                <profiles.redis.username></profiles.redis.username>
                <profiles.redis.password>hotel@2020</profiles.redis.password>
                <profiles.redis.database>4</profiles.redis.database>
                <profiles.filepath>/mortals/data</profiles.filepath>
                <profiles.log.level>INFO</profiles.log.level>
                <profiles.log.path>/logs</profiles.log.path>
                <profiles.data.path>/data</profiles.data.path>
            </properties>
        </profile>
        <profile>
            <id>product</id>
            <properties>

            </properties>
        </profile>
    </profiles>

    <repositories>
        <repository>
            <id>nexus</id>
            <name>nexus</name>
            <!--仓库地址-->
            <url>http://192.168.0.251:8081/repository/xhx-group/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <!--插件地址-->
            <id>nexus</id>
            <name>nexus</name>
            <url>http://192.168.0.251:8081/repository/xhx-group/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.mortals.xhx</groupId>
                <artifactId>common-lib</artifactId>
                <version>${common-lib.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.data</groupId>
                    <artifactId>spring-data-redis</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*</include>
                </includes>
                <filtering>true</filtering>
            </resource>
        </resources>

        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <delimiters>@</delimiters>
                    <useDefaultDelimiters>false</useDefaultDelimiters>
                </configuration>
            </plugin>
            <!-- 用于编译的plugin -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

        </plugins>
    </build>


</project>